com.tibbo.aggregate.common.datatable

## Class DataTableSorter

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.DataTableSorter

- All Implemented Interfaces:
    java.lang.Iterable<SortOrder>

      public class DataTableSorter
      extends java.lang.Object
      implements java.lang.Iterable<SortOrder>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DataTableSorter` | `EMPTY_SORTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataTableSorter(java.util.List<SortOrder> orders)`
    `DataTableSorter(SortOrder... orders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addOrder(SortOrder order)`
    `DataTableSorter` | `fitTo(TableFormat format)`
    `java.util.List<SortOrder>` | `getOrders()`
    `boolean` | `isEmpty()`
    `java.util.Iterator<SortOrder>` | `iterator()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Field Detail

    - #### EMPTY_SORTER

          public static final DataTableSorter EMPTY_SORTER

  - ### Constructor Detail

    - #### DataTableSorter

          public DataTableSorter(SortOrder... orders)

    - #### DataTableSorter

          public DataTableSorter(java.util.List<SortOrder> orders)

  - ### Method Detail

    - #### isEmpty

          public boolean isEmpty()

    - #### getOrders

          public java.util.List<SortOrder> getOrders()

    - #### addOrder

          public void addOrder(SortOrder order)

    - #### iterator

          public java.util.Iterator<SortOrder> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<SortOrder>`

    - #### fitTo

          public DataTableSorter fitTo(TableFormat format)